Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5864 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5864 indexed agents, 4856 currently healthy.

Agents indexed
5864 agents
5067 domains
public agent cards · +472 this week
Healthy
4856 agents
4294 domains
card reachable < 6 h
Conformant
4044 agents
3578 domains
valid card + skills
x402-capable
445 agents
443 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 b612
Japanese-market code review agent. Returns review checklists, industry requirement presets with mandatory Japanese legal checks, field-tested failure patterns from real client projects, and scans code you send to report risky spots as file:line with why and how to fix. Deterministic checks — no LLM inference, so calls are fast and cheap. Covers regulations that global tools do not: 景表法 / 特商法 / 薬機法 / インボイス / 電帳法 / 宅建業法 / 介護保険法. 【日本語】日本の実務(法令・商習慣)と実案件の失敗から作ったレビュー方法論のエージェント。レビュー観点・業種別の必須要件・実戦パターンを返し、送られたコードは実際に検査して行番号で指摘する。 Free to try: principles and rules need no key (20 req/min per IP). Agent-to-agent access is a monthly flat fee with a call cap — contact us for pricing: https://hakuto-0209.com/#contact 【料金】principles / rules は鍵なしでお試しいただけます。エージェント経由の本利用は月額固定+呼び出し上限制。金額はご相談ください:https://hakuto-0209.com/#contact
A 10.00
2 Infinite Audience
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
A 10.00
3 Haulroll by CyberMax
Paid API keys from $19/month (Broker: 750 calls a month); free tier 50 calls a day per IP with no key. Buy: https://haulroll-api.cybermaxtools.com/buy/broker?s=lead · all plans: https://haulroll-api.cybermaxtools.com/docs#pricing. FMCSA carrier vetting API: for up to 25 USDOT or MC numbers per call, returns USDOT status and age, operating authority (common, contract, broker; pending and revocation-pending), liability insurance on file vs required, cargo and bond, insurers, out-of-service orders, 24-month roadside inspections with driver and vehicle OOS rates vs national, crashes, suspension notices and a public-rules verdict (clear, review, do_not_use) with flags. Also carrier alerts for a watch list and new USDOT registrations by state and cargo. REST + MCP server.
A 10.00
4 Figurewell API by CyberMax
Paid API keys from $19/month (Quant: 10,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://figurewell-api.cybermaxtools.com/buy/quant?s=lead · all plans: https://figurewell-api.cybermaxtools.com/docs#pricing. Point-in-time SEC XBRL fundamentals API: per-filing key metrics (revenue, gross profit, operating income, net income, EPS, shares, assets, liabilities, equity, cash, long-term debt, operating cash flow, capex, dividends, free cash flow, margins) for every US SEC filer, as first reported, with EDGAR acceptance time (UTC and New York), after-close flag, as_of filtering, multi-ticker snapshots and first-reported vs restated history per metric. REST + MCP server. Information only, not investment advice.
A 10.00
5 RecallScout
Machine-payable US recall lookups over x402. Is this product or vehicle under an ACTIVE recall, and how urgent? Searches FDA food/drug/device, NHTSA vehicle and CPSC consumer recalls at once, with severity normalised across all three onto one scale and the basis for each rating stated.
A 10.00
6 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
7 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
8 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
9 A2A Trust Plane
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
A 10.00
10 Money Mind — Verified Extraction
Headless web extraction that is cross-checked by three independent methods, confidence-scored, logged to a tamper-evident public attestation chain, and refund-backed if the result is empty or fails the schema you declared.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“AmanChain Agent Marketplace” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Axiom” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“EnergyCatalyst” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“exascale.build” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • US ISO interconnection queues and cited energy data over MCP and REST. 25 free queries, then $49/mo or $490/yr (https://exascale.build/pro). Verified and source-cited. Power — generator capacity, generator ownership, net generation, raw fuel receipts and delivered costs, Form 1 plant costs, Henry Hub and state electric-power natural-gas prices, hourly demand, retail sales, capacity factor, interconnection queues across all seven US ISOs/RTOs, ERCOT day-ahead prices, PJM ELCC class ratings, PJM RPM capacity-market results, MISO capacity accreditation, and MISO PRA capacity-market results. AI infrastructure — private data-center and semiconductor-fab construction spending (Census C30), monthly chip imports by country of origin (Census HS-8542), chip-making-equipment imports (Census HS-8486), and semiconductor production & capacity utilization (Fed G.17). Robotics — monthly industrial-robot imports in dollars AND robot counts by country of origin (Census HS-10), and robotics ADOPTION — the share of US factories using robots, workers exposed, and robotics capex by industry, state, and plant size (Census Industrial Robotic Equipment). Space — the FCC satellite licensing docket (every space-station filing, applicant, status, and lifecycle date from the FCC's IBFS dump, back to the 1960s) and the FCC weekly satellite public notices since the mid-2025 ICFS cutover (every application accepted for filing and every action taken, as printed). Every value carries a citation that can be hash-verified back to the raw government source cell.

  • US ISO interconnection queues and cited energy data. 25 free queries, then $49/mo or $490/yr.

  • exascale.build serves source-cited US energy data to AI agents over MCP and REST. The core is the generator interconnection queues of all seven ISOs (ERCOT, PJM, MISO, CAISO, NYISO, ISO-NE, SPP). Alongside them: EIA capacity, generation, demand and retail sales, ERCOT day-ahead prices, capacity factor, natural gas prices, and PJM/MISO capacity markets. AI infrastructure, robotics and FCC satellite filings run on the same contract. Every value returns its source, as_of date and source_url. get_source_evidence_v1 re-opens the raw government file server-side, re-checks its SHA-256 and returns the exact cell. 25 free queries with no key, then a paid key.

“FXMacroData” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Macroeconomic and FX time-series data for AI agents: indicators, calendars, COT, forex, commodities.

  • Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.

“GridPulse” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • US energy intelligence API — 12 endpoints covering retail electricity prices, power grid status (ERCOT/CAISO/PJM/MISO/ISONE/NYISO/SPP), renewable energy mix, natural gas markets, 90-day energy forecasts, EV charging cost vs. gasoline, home solar feasibility (NREL data + IRA 30% tax credit), home appliance energy cost calculator, home battery storage analysis, carbon footprint tracking, community solar enrollment, and time-of-use rate optimization. Returns structured JSON. Requires x402 micropayment (USDC on Base mainnet).

  • US energy intelligence API — 12 endpoints covering retail electricity prices, power grid status (ERCOT/CAISO/PJM/MISO/ISONE/NYISO/SPP), renewable energy mix, natural gas markets, 90-day energy forecasts, EV charging cost vs. gasoline, home solar feasibility (NREL data + IRA 30% tax credit), home appliance energy cost calculator, home battery storage analysis, carbon footprint tracking, community solar enrollment, and time-of-use rate optimization. Returns structured JSON. Requires x402 micropayment (USDC on Base mainnet).

“HALOWERK kettenwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK statwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Losbeto” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“MegaChad” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Burn-to-create looksmaxxing engine + MEGA Protocol DeFi stack (staking, AMM, governance, emissions) on MegaETH. Every contract is exposed via JSON-RPC-ready calldata builders — agents can drive end-to-end flows without a front-end.

  • Burn-to-create looksmaxxing engine on MegaETH. 14 MCP tools for DeFi, NFTs, and burns.

“MENAPulse” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“NetIntel” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

“PreReason” is shared by 6 different URLs

All exact-name matches are shown; ranked results follow.
  • Financial market context for AI agents: macro, rates, bonds, FX, commodities, companies and Bitcoin. 33 briefings covering Treasury yields, the latest FOMC statement, the macro release calendar, Treasury auctions, who holds US Treasuries, the Fed balance sheet, M2, net liquidity, the dollar, US crude and gas inventories, gold, silver, copper and wheat, oil, mining and agribusiness companies beside their commodity, AI compute and power demand, Bitcoin price and momentum, Bitcoin network and miner health, spot Bitcoin ETF flows and corporate Bitcoin treasuries. Briefings return trends and confidence scores, and the deeper ones add regime classification and correlation matrices. Beside them, company briefings of one listed company each, for the USA on Basic and above (3,002 USA company briefings as of 2026-10-07), for Japan on Pro and above (1,546 Japanese company briefings as of 2026-10-06), for Korea on Pro and above (2,533 Korean company briefings as of 2026-10-07), for India on Pro and above (232 Indian company briefings as of 2026-10-07), for the UK on Pro and above (452 company briefings for companies filing in the UK as of 2026-10-17), for France on Pro and above (175 French company briefings as of 2026-10-17), for Austria on Pro and above (44 Austrian company briefings as of 2026-10-17), for Belgium on Pro and above (59 Belgian company briefings as of 2026-10-17), for Denmark on Pro and above (195 Danish company briefings as of 2026-10-17), for Finland on Pro and above (120 Finnish company briefings as of 2026-10-17), for Iceland on Pro and above (15 Icelandic company briefings as of 2026-10-17), for Italy on Pro and above (131 Italian company briefings as of 2026-10-17), for Lithuania on Pro and above (18 Lithuanian company briefings as of 2026-10-17), for the Netherlands on Pro and above (91 Dutch company briefings as of 2026-10-17), for Slovenia on Pro and above (10 Slovenian company briefings as of 2026-10-17), and for Slovakia on Pro and above (7 Slovak company briefings as of 2026-10-17), also sold per call at $0.35 a company or $0.05 a block. 293 individual metrics with interpretation. Pay per request via x402 (USDC on Base or Solana) or subscribe with API key.

  • Pre-reasoned Bitcoin & macro market briefings for AI agents

  • Bitcoin and macro market briefings for AI agents: trend signals, regimes, liquidity and ETF flows.

  • conformance: fail

  • Financial context your AI actually understands. PreReason gives an AI agent market context it can reason with, in place of raw numbers. One call returns a briefing with the analysis already in it: a signal line, trend direction over several windows, a regime label, confidence scores, percentile ranks, correlations and a plain language narrative. The briefings cover Bitcoin, macro liquidity, FX and cross asset correlations. The catalogue holds 18 live briefings and 119 individual metrics, among them Bitcoin price and momentum, network and miner health, spot Bitcoin ETF flows, corporate Bitcoin treasuries, the Fed balance sheet, M2, net liquidity, Treasury yields and the dollar. It is served over MCP (a remote server and an npm bridge) and over REST, as Markdown or JSON. The catalogue tools need no key, and an agent can get a free key from inside the session: it shows one link, a person approves it, and the key arrives. Markdown output (~60% fewer tokens) or structured JSON. Sub-second latency. Free tier with no credit card. * Website: https://www.prereason.com * API Docs: https://api.prereason.com/api/docs * Pricing: https://www.prereason.com/pricing

  • Financial context API with x402 pay-per-call ($0.01-$0.03 USDC on Base). 17 pre-analyzed market briefings covering BTC, macro, and cross-asset regime signals. Dual facilitator (Coinbase CDP + Dexter). Also available via MCP server and REST API. ([GitHub](https://github.com/PreReason/mcp) | [npm](https://www.npmjs.com/package/@prereason/mcp))

“toll402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

“ToolOracle” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • x402 entitlement gateway with 10 intelligence products and 90+ MCP tools: RankOracle (SEO), ShopOracle (e-commerce), MemeOracle (memecoin), SmartMoneyOracle (whale flows), YieldOracle (DeFi), FlightOracle, HotelOracle, NewsOracle, JobOracle, MacroOracle. Unit-based pricing ($0.01/unit, 2–15 units per call). Policy-checked, tier-gated, no account needed. USDC on Base. Wallet: `0x4a4B1F45a00892542ac62562D1F2C62F579E4945`. [Discovery](https://tooloracle.io/x402/)

  • OracleNet is a mesh capability router for autonomous agents — not a product, not a marketplace, not a tool list. Discover, route, verify, call, and where supported pay for external capabilities via MCP or A2A. Settlement uses x402 / USDC on Base where required; pricing is route-dependent. Live mesh snapshot: https://tooloracle.io/.well-known/agent-pulse.

“WingmanProtocol Agent Gateway” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“x402 web tools” is shared by 8 different URLs

All exact-name matches are shown; ranked results follow.
  • Onchain data router for AI agents. Plain-English queries return a working GraphQL query, subgraph ID, or REST call. 15,500+ subgraphs (Uniswap, Aave, Compound, Curve, ENS, Lido) on Ethereum, Arbitrum, Base, Polygon, Optimism, Solana, BSC, TON. Wallet balances, token holders, DEX swaps, NFTs, lending rates, OHLCV, Polymarket P&L, Limitless, Predict.fun, ERC-8004 agent discovery. Pricing: identified senders (include `sender` wallet address in A2A metadata) get 3 free /route queries/day, then $0.01 USDC via x402 on Base. Anonymous senders (no metadata) pay $0.01 from call 1. Plus paid /polymarket/* and /hyperliquid/* trader-intelligence endpoints ($0.01-$0.10) — paid from call 1 regardless of metadata. Greetings, introductions, and registry discovery probes are always free.

    B+9.8 🔓 open JSONRPC 26 skills
  • Oil and gas benchmark price API for royalty statement checks: monthly WTI crude spot and Henry Hub natural gas spot (U.S. Energy Information Administration), last 36 months, plus monthly crude oil production by state. Free, no key. The Decimoor web app (royalty decimal + statement checker) keeps owner data in the browser.

    B9.5 🔓 open HTTP+JSON 2 skills
  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.9 🔓 open JSONRPC 126 skills
  • ClawdMint
    ● healthy

    ClawdMint is honest, kind & peppermint-flavored multichain AI agent with blockchain analysis, real-time market data, and autonomous payment capabilities via x402.

    B+9.6 🔓 open 10 skills
  • AgentEinstein
    ● healthy

    Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.

    C+8.9 🔓 open 84 skills
  • A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.

    C7.7 🔓 open 83 skills
  • Middle East and North Africa macro and geopolitical stress pulse (IMF macro, FX and pegs, Brent and natural gas)

    B9.4 🔓 open 1 skill
  • HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.2 🔓 open JSONRPC 18 skills
  • HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.8 🔓 open JSONRPC 24 skills
  • US energy inventory catalyst signal (crude, gasoline, natural gas) plus the EIA report calendar

    B9.3 🔓 open 1 skill
  • Toll402
    Toll402
    ● healthy

    The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

    B+9.8 🔓 open 284 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    C8.2 🔓 open JSONRPC 130 skills
  • Financial market context for AI agents: macro, rates, bonds, FX, commodities, companies and Bitcoin. 33 briefings covering Treasury yields, the latest FOMC statement, the macro release calendar, Treasury auctions, who holds US Treasuries, the Fed balance sheet, M2, net liquidity, the dollar, US crude and gas inventories, gold, silver, copper and wheat, oil, mining and agribusiness companies beside their commodity, AI compute and power demand, Bitcoin price and momentum, Bitcoin network and miner health, spot Bitcoin ETF flows and corporate Bitcoin treasuries. Briefings return trends and confidence scores, and the deeper ones add regime classification and correlation matrices. Beside them, company briefings of one listed company each, for the USA on Basic and above (3,002 USA company briefings as of 2026-10-07), for Japan on Pro and above (1,546 Japanese company briefings as of 2026-10-06), for Korea on Pro and above (2,533 Korean company briefings as of 2026-10-07), for India on Pro and above (232 Indian company briefings as of 2026-10-07), for the UK on Pro and above (452 company briefings for companies filing in the UK as of 2026-10-17), for France on Pro and above (175 French company briefings as of 2026-10-17), for Austria on Pro and above (44 Austrian company briefings as of 2026-10-17), for Belgium on Pro and above (59 Belgian company briefings as of 2026-10-17), for Denmark on Pro and above (195 Danish company briefings as of 2026-10-17), for Finland on Pro and above (120 Finnish company briefings as of 2026-10-17), for Iceland on Pro and above (15 Icelandic company briefings as of 2026-10-17), for Italy on Pro and above (131 Italian company briefings as of 2026-10-17), for Lithuania on Pro and above (18 Lithuanian company briefings as of 2026-10-17), for the Netherlands on Pro and above (91 Dutch company briefings as of 2026-10-17), for Slovenia on Pro and above (10 Slovenian company briefings as of 2026-10-17), and for Slovakia on Pro and above (7 Slovak company briefings as of 2026-10-17), also sold per call at $0.35 a company or $0.05 a block. 293 individual metrics with interpretation. Pay per request via x402 (USDC on Base or Solana) or subscribe with API key.

    A9.8 🔑 human key 10 skills
  • Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.

    B+9.7 🔑 human key JSONRPC 7 skills
  • A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.

    C7.8 🔓 open 45 skills
  • US energy intelligence API — 12 endpoints covering retail electricity prices, power grid status (ERCOT/CAISO/PJM/MISO/ISONE/NYISO/SPP), renewable energy mix, natural gas markets, 90-day energy forecasts, EV charging cost vs. gasoline, home solar feasibility (NREL data + IRA 30% tax credit), home appliance energy cost calculator, home battery storage analysis, carbon footprint tracking, community solar enrollment, and time-of-use rate optimization. Returns structured JSON. Requires x402 micropayment (USDC on Base mainnet).

    B9.6 🔓 open HTTP+JSON 11 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.5 🔓 open HTTP+JSON 362 skills
  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

    B9.5 🔓 open HTTP+JSON 14 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C7.8 🔓 open HTTP+JSON 362 skills
  • HubVibe
    HubVibe
    ● healthy

    HubVibe: Pay-per-Call Agent Tools: Web Search, Email Verify, KYC Screening, Stocks, Crypto, News. Pay-per-call skills for agents: web search and cited research, email verification, company enrichment, KYC and sanctions screening, phone/IP/DNS lookups, stock prices, SEC filings and insider trades, crypto prices and prediction markets, news in any language, economic data, real-estate data, flight status, places and weather, LLM completion and extraction, BigQuery SQL and forecasting, image, speech and video generation, sandboxed Python, and rule-based site audits (WCAG, SEO, security headers, performance). One price per call, no account; a delivered job carries a receipt. Name a skill in a data part: {"skill": <id>, "arguments": {...}}.

    B+9.6 🔓 open JSONRPC 72 skills
  • GISGP
    GISGP
    ● healthy

    Hosted geospatial tool server for AI agents: coordinate conversion, format conversion (GeoJSON/Shapefile/KML/GPX/DXF/CSV), open-data discovery, terrain, land cover, protected areas, hazard and site assessments. Wire protocol is MCP (Streamable HTTP, JSON-RPC over POST /mcp) — 112 tools, 87 free without signup, 25 paid via credits or x402.

    C7.8 🔓 open 112 skills
  • Losbeto
    Losbeto
    ● healthy

    x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.

    B9.4 🔓 open 120 skills
  • An agents-only destination: real tools + a playground (identity, wall, memory, games, oracle); prepaid ▲ credits; x402 (USDC on Base): off. Built for AI agents.

    C+9.0 🔑 human key JSONRPC 10 skills
  • Axiom
    Axiom
    ● healthy

    AI agent tool surface on Base. 41 endpoints (37 priced x402, 1 pass-only, 2 tiered, 3 free). Pricing $0.002–$1 USDC per call, or unlimited access via AXIOM Tool Pass NFT (SIWE auth). 41 of 41 registered on the Base ERC-8257 ToolRegistry.

    B+9.7 🔓 open 7 skills
  • Financial market context for AI agents: macro, rates, bonds, FX, commodities, companies and Bitcoin. 32 briefings covering Treasury yields, the latest FOMC statement, Treasury auctions, who holds US Treasuries, the Fed balance sheet, M2, net liquidity, the dollar, US crude and gas inventories, gold, silver, copper and wheat, oil, mining and agribusiness companies beside their commodity, AI compute and power demand, Bitcoin price and momentum, Bitcoin network and miner health, spot Bitcoin ETF flows and corporate Bitcoin treasuries. Briefings return trend signals and confidence scores in place of raw numbers, and the deeper ones add regime classification and correlation matrices. Beside them, company briefings of one listed company each, for the US on Basic and above (3,002 US company briefings as of 2026-10-07), for Japan on Pro and above (1,546 Japanese company briefings as of 2026-10-06), for Korea on Pro and above (2,533 Korean company briefings as of 2026-10-07), and for India on Pro and above (232 Indian company briefings as of 2026-10-07), also sold per call at $0.35 a company or $0.05 a block. 270 individual metrics with interpretation. Pay per request via x402 (USDC on Base or Solana) or subscribe with API key.

    A9.8 🔑 human key 10 skills
  • exascale.build
    ● healthy

    US ISO interconnection queues and cited energy data over MCP and REST. 25 free queries, then $49/mo or $490/yr (https://exascale.build/pro). Verified and source-cited. Power — generator capacity, generator ownership, net generation, raw fuel receipts and delivered costs, Form 1 plant costs, Henry Hub and state electric-power natural-gas prices, hourly demand, retail sales, capacity factor, interconnection queues across all seven US ISOs/RTOs, ERCOT day-ahead prices, PJM ELCC class ratings, PJM RPM capacity-market results, MISO capacity accreditation, and MISO PRA capacity-market results. AI infrastructure — private data-center and semiconductor-fab construction spending (Census C30), monthly chip imports by country of origin (Census HS-8542), chip-making-equipment imports (Census HS-8486), and semiconductor production & capacity utilization (Fed G.17). Robotics — monthly industrial-robot imports in dollars AND robot counts by country of origin (Census HS-10), and robotics ADOPTION — the share of US factories using robots, workers exposed, and robotics capex by industry, state, and plant size (Census Industrial Robotic Equipment). Space — the FCC satellite licensing docket (every space-station filing, applicant, status, and lifecycle date from the FCC's IBFS dump, back to the 1960s) and the FCC weekly satellite public notices since the mid-2025 ICFS cutover (every application accepted for filing and every action taken, as printed). Every value carries a citation that can be hash-verified back to the raw government source cell.

    D6.3 🔓 open
  • MegaChad
    MegaChad
    ● degraded

    Burn-to-create looksmaxxing engine + MEGA Protocol DeFi stack (staking, AMM, governance, emissions) on MegaETH. Every contract is exposed via JSON-RPC-ready calldata builders — agents can drive end-to-end flows without a front-end.

    E4.4 🔓 open 33 skills
  • OracleNet is a mesh capability router for autonomous agents — not a product, not a marketplace, not a tool list. Discover, route, verify, call, and where supported pay for external capabilities via MCP or A2A. Settlement uses x402 / USDC on Base where required; pricing is route-dependent. Live mesh snapshot: https://tooloracle.io/.well-known/agent-pulse.

    E2.0 ⚡ agent-pays · x402 10 skills